stages:
  - build
  
build_data-service:
  stage: build
  image: docker
  services:
    - docker:dind  
  only:
    - preview
  environment: preview
  before_script:
    - apk add --no-cache docker-compose
    - docker --version
    - docker-compose --version
    - apk update
    - apk add bash
    - chmod +x ./deployment/setup_env.sh
    - bash ./deployment/setup_env.sh
  script:
    - docker-compose -f deployment/dev/backend/data-service/docker-compose.build.yaml build data_service
    - docker login --username $CR_USERNAME --password $CR_PASSWORD $CR_SERVER
    - docker push $CR_SERVER/data_service:$VERSION